### Function

# Qmi MessageNasSetSystemSelectionPreferenceInput new

since: 1.0

#### Declaration [src]

    QmiMessageNasSetSystemSelectionPreferenceInput*
    qmi_message_nas_set_system_selection_preference_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageNasSetSystemSelectionPreferenceInput`.

Available since: 1.0

#### Return value

Type: `QmiMessageNasSetSystemSelectionPreferenceInput`

The newly created `QmiMessageNasSetSystemSelectionPreferenceInput`. The returned value should be freed with qmi_message_nas_set_system_selection_preference_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.